Get Auth Source

Get Auth Source
Retrieve detailed information about a particular authentication source

The auth source can be SSO/LDAP/AD.
For the LDAP/AD auth source, the request should contain the name of the user.
For the SSO auth source, request should contain the name of the user and the sso domain.
User-group's username can contain wildcards. Maximum of 25 user-groups are returned for SSO auth source.

Request
URI
GET
https://{api_host}/suite-api/api/auth/sources/{sourceId}
COPY
Path Parameters
string
sourceId
Required

Id of the auth source


Authentication
This operation uses the following authentication methods.
Responses
200

Information about the authentication source

Returns auth-source of type(s) application/json
"{\n  \"id\" : \"00000000-0000-000a-0000-000000000014\",\n  \"name\" : \"TEST\",\n  \"sourceType\" : {\n    \"id\" : \"ACTIVE_DIRECTORY\",\n    \"name\" : \"ACTIVE_DIRECTORY\",\n    \"description\" : \"DESC\"\n  },\n  \"created\" : 1753339890722,\n  \"lastModified\" : 1753339897716,\n  \"property\" : [ {\n    \"name\" : \"display-name\",\n    \"value\" : \"Test_11\"\n  }, {\n    \"name\" : \"host\",\n    \"value\" : \"brlrootdc01.broadcom.com\"\n  }, {\n    \"name\" : \"domain\",\n    \"value\" : \"broadcom.com\"\n  }, {\n    \"name\" : \"host-auto-select\",\n    \"value\" : \"false\"\n  }, {\n    \"name\" : \"use-ssl\",\n    \"value\" : \"true\"\n  }, {\n    \"name\" : \"user-name\",\n    \"value\" : \"[email protected]\"\n  }, {\n    \"name\" : \"password\",\n    \"value\" : \"password\"\n  }, {\n    \"name\" : \"base-domain\",\n    \"value\" : \"dc=broadcom,dc=com\"\n  }, {\n    \"name\" : \"common-name\",\n    \"value\" : \"userPrincipalName\"\n  }, {\n    \"name\" : \"port\",\n    \"value\" : \"636\"\n  }, {\n    \"name\" : \"group-search-criteria\",\n    \"value\" : \"(|(objectClass=group)(objectClass=groupOfNames))\"\n  }, {\n    \"name\" : \"member-attribute\",\n    \"value\" : \"member\"\n  }, {\n    \"name\" : \"user-search-criteria\",\n    \"value\" : \"\"\n  }, {\n    \"name\" : \"member-match-field\",\n    \"value\" : \"\"\n  }, {\n    \"name\" : \"ldap-context-attributes\",\n    \"value\" : \"\"\n  } ],\n  \"certificates\" : [ ]\n}"
array of object
certificates
Optional

Certificate details of the Authentication Source.
Typically this will be present if and only if the Authentication Source enforces SSL

integer As int64 As int64
created
Optional

The Auth Source creation/import time in milliseconds

string As uuid As uuid
id
Optional

Immutable Identifier of the Auth Source

integer As int64 As int64
lastModified
Optional

The Auth Source last modification time in millisecond

array of object
links
Optional

Represents a HTTP 'link' element.
It is implicit that all the link tags support http 'GET' method.

string
name
Required

Name of the External System. Set by admin when the source is added or imported into vROps.
name and id of a source is unique with the exception that name can be modified by a system admin.

array of object
property
Optional

Properties of the Authentication Source.
The actual values of the metadata elements relevant for the specific Authentication Source

object
sourceType
Required

This object represents the type of external authentication source supported by VMware Cloud Foundation Operations.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/auth/sources/{sourceId}
                
Auth Operations
GET
Get Current User
GET
Get Assigned Role Permissions For Current User
GET
Get Current User Role Privileges
GET
Get Available Privilege Groups
GET
Get Available Privileges
GET
Get Roles
POST
Create User Role
PUT
Update User Role
DELETE
Delete User Role
GET
Get Role By Name
DELETE
Remove Role Privileges
GET
Get Role Privileges
POST
Add Role Privileges
PUT
Set Role Privileges
DELETE
Delete Scopes
GET
Get All Object Scopes
POST
Create Scope
PUT
Modify Scope
GET
Get Scope
GET
Get Auth Sources
PATCH
Patch Auth Source With Certificate Details
POST
Add Auth Source
PUT
Update Auth Source
PATCH
Patch Test Auth Source
POST
Test Auth Source
GET
Get VIDB Well Known URL
POST
Search User Groups For Auth Source
PUT
Synchronize User Groups
POST
Import Users
POST
Search Users For Auth Source
DELETE
Delete Auth Source
GET
Get Auth Source
GET
Get Auth Source Types
GET
Get Auth Source Type
POST
Acquire Token
POST
Exchange Ops Token With Jwt Token
POST
Release Token
GET
Get Traversal Specs
DELETE
Delete User Groups
GET
Get User Groups
POST
Create User Group
PUT
Modify User Group
GET
Get Assigned Role Permissions For User Group
PUT
Assign Role Permission To User Group
DELETE
Unassigned Role Permission From User Group
PUT
Assign Traversal Spec To User Group
Deprecated
DELETE
Delete User Group
GET
Get User Group
DELETE
Delete Users
GET
Get Users
POST
Create User
PUT
Modify User
PUT
Change Password
DELETE
Delete User
GET
Get User
GET
Get Assigned Role Permissions For User
PUT
Assign Role Permission To User
DELETE
Unassigned Role Permission From User
PUT
Assign Traversal Spec To User
Deprecated